'use strict';
const Controller = require('egg').Controller;
const { BusinessError, ErrorCode } = require('naf-core').Error;
const { CrudController } = require('naf-framework-mongoose-free/lib/controller');

// 微信接口
class WxController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.params = this.ctx.params;
    this.queryObject = this.ctx.request.query;
    this.reqBody = this.ctx.request.body;
    this.service = this.ctx.service.wx;
  }
  async index() {
    const data = await this.service.query();
    this.ctx.ok(data);
  }
  async updateCache() {
    await this.service.updateCache();
    this.ctx.ok();
  }
  async userMapping() {
    await this.service.userMapping();
    this.ctx.ok();
  }
  async getOpenid() {
    const data = await this.service.appAuth(this.ctx.query);
    console.log(data);
    this.ctx.ok(data);
  }
  async sendTemplate() {
    const data = await this.service.sendTemplate(this.reqBody);
    console.log(data);
    this.ctx.ok(data);
  }


}
module.exports = CrudController(WxController, {});
