'use strict';
const _ = require('lodash');
const urlList = [ '/security_guard_base', '/security_guard_base/update' ];
const isIncludes = url => {
  let res = false;
  for (const i of urlList) {
    if (url.includes(i)) {
      res = true;
      break;
    }
  }
  return res;
};
module.exports = options => {
  return async function housepolicecode(ctx, next) {
    const url = ctx.request.url;
    const needDeal = isIncludes(url);
    if (needDeal) {
      const method = ctx.request.method;
      if (method === 'POST') {
        const body = ctx.request.body;
        // 符合路由要求,该处理了
        const object = await ctx.service.securityGuard.base.getHousePoliceCode(body);
        if (object) {
          body.house_police_code = object.num;
        }
      } else {
        const query = ctx.request.query;
        const object = await ctx.service.securityGuard.base.getHousePoliceCode(query);
        if (object) {
          query.house_police_code = object.num;
          delete query.house_police;
        }
      }

    }
    await next();
  };
};
