'use strict';
/**
 * 数据往数据库进的处理, 由 前端 进 库
 * 此js内容,主要是为了 添加/修改 而使用,将 某表 指定 键名 的值 转换成固定格式
 * 目前是为了日期的添加而使用,也可以写别的指定处理
 * key:表名,value:处理函数.这里写.原因:估计数量不会多,所以放这里
 * 对应的处理统一全用函数传参的形式处理,都在函数中处理返回.外面统一全当做函数调用
 */
const moment = require('moment');
const crypto = require('crypto');
const _ = require('lodash');

// 还有什么特殊处理,就在这里写.如果太多或不利于阅读,分类抽出去
const toUnix = date => moment(date).format('X');
// toSecret,加密
const toSecret = password => {
  const md5 = crypto.createHash('md5');
  const md5Sum = md5.update(password);
  const result = md5Sum.digest('hex');
  return result;
};
module.exports = {
  security_guard_base: obj => {
    const dup = _.cloneDeep(obj);
    if (dup.password) dup.password = toSecret(dup.password);
    return dup;
  },
  company_base: obj => {
    const dup = _.cloneDeep(obj);
    if (dup.password) dup.password = toSecret(dup.password);
    if (dup.submit_date) delete dup.submit_date;
    return dup;
  },
  system_account: obj => {
    const dup = _.cloneDeep(obj);
    if (dup.password) dup.password = toSecret(dup.password);
    if (dup.submit_date) delete dup.submit_date;
    return dup;
  },
  exam_account: obj => {
    const dup = _.cloneDeep(obj);
    if (dup.password) dup.password = toSecret(dup.password);
    if (dup.submit_date) delete dup.submit_date;
    return dup;
  },
  society_account: obj => {
    const dup = _.cloneDeep(obj);
    if (dup.password) dup.password = toSecret(dup.password);
    if (dup.submit_date) delete dup.submit_date;
    return dup;
  },
  // ps:和dataToDb.js不一样.这里的函数并非只有在 增/改 的情况会用到
  // 可能会被单独使用,所以也要导出去
  toUnix,
  toSecret,
};
