'use strict';
/**
 * 导入保安员入职的字段配置表
 */
const _ = require('lodash');
const moment = require('moment');
module.exports = [
  // excel部分
  { key: 'name', zh: '姓名' },
  { key: 'card', zh: '身份证号', required: true },
  { key: 'company_name', zh: '企业名称' },
  { key: 'contract_startdate', zh: '劳动合同起始日期', required: true, format: value => moment(value).format('YYYY-MM-DD') },
  { key: 'contract_enddate', zh: '劳动合同终止日期', format: value => moment(value).format('YYYY-MM-DD') },
  { key: 'zw', zh: '职务' },
  { key: 'safe', zh: '缴纳社会保险险种' },
  { key: 'entry_date', zh: '入职日期', default: () => moment().format('YYYY-MM-DD') },
  // 需要换来的部分
  {
    table: 'security_guard_base',
    zh: '保安员基础信息',
    query: { card: object => object.card, status: '11' },
    columns: [
      { key: 'security_guard_id', zh: '保安员id', from: 'id' },
      { key: 'birth', zh: '出生日期' },
      { key: 'gender', zh: '性别' },
      { key: 'phone', zh: '联系电话' },
    ],
  },
  {
    table: 'certificates_base',
    zh: '保安员证',
    query: { card: object => object.card },
    columns: [
      { key: 'baoan_num', zh: '保安员证编码' },
      { key: 'exam_grade', zh: '职业等级' },
      { key: 'cert_date', zh: '发证日期' },
      { key: 'cert_status', zh: '证件状态' },
    ],
  },

  {
    table: 'company_base',
    zh: '企业信息',
    query: { company_name: object => object.company_name },
    columns: [
      { key: 'shorter_name', zh: '公司简称', from: 'name' },
      { key: 'company_id', zh: '企业id', from: 'id' },
    ],
  },
];
