'use strict';
/**
 * 导入的设置
 * key:表名
 * value:[
 *  {
 *    key:excel中的字段名,值一定要与表头对上,位置不限制.不管excel的顺序,之和写配置的顺序有关,不过也没啥影响
 *    column: 字段名
 *    turn:非强制需要,函数名,所有转换函数写到service/import.js中 如果有这个字段,就把值用this[turn](value)转换掉,不过有的特殊字段,在create接口中会转
 *    index: (此字段不能写,只是在这里说明),该字段为 映射的字段在 excel 中的第几列,是用来取每行的数据.所以不能写,没有index会被过滤掉.乱写可能出现空值,严重会影响导入功能(没有字段也传进来了,还扔去添加了)
 *  },
 *  ...
 * ]
 */
module.exports = {
  test: [
    { key: 'c1', column: 'name', turn: 'valueToString' },
    { key: 'c2', column: 'age' },
    { key: 'c3', column: 'date' },
    { key: 'c4', column: 'column4' },
    { key: 'c5', column: 'column5' },
  ],
  assistance_investigation: [
    { key: '主键', column: 'id' },
    { key: '企业类型', column: 'industry_type' },
    { key: '接受区域', column: 'receive_region' },
    { key: '接受单位', column: 'receive_company' },
    { key: '发布人', column: 'release_personal' },
    { key: '发布时间', column: 'release_date' },
    { key: '截止时间', column: 'stop_date' },
    { key: '发布单位', column: 'release_company' },
    { key: '标题', column: 'title' },
    { key: '通知通报内容', column: 'content' },
    { key: '附件', column: 'file_url' },
    { key: '是否撤销', column: 'revoke' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  assistance_investigation_reply: [
    { key: '主键', column: 'id' },
    { key: '协查通报ID', column: 'assistance_id' },
    { key: '回复人', column: 'reply_personal' },
    { key: '回复时间', column: 'reply_date' },
    { key: '回复内容', column: 'reply_content' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  baoan_news: [
    { key: '', column: 'id' },
    { key: '信息标题', column: 'title' },
    { key: '信息来源', column: 'origin' },
    { key: '发布时间', column: 'publish_date' },
    { key: '信息简介', column: 'brief' },
    { key: '信息正文', column: 'content' },
    { key: '状态', column: 'status' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  baoan_work_warning: [
    { key: '纬度', column: 'latitude' },
    { key: '状态', column: 'status' },
    { key: '关联企业id', column: 'company_id' },
    { key: '基本信息表id', column: 'security_guard_id' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
    { key: '主键', column: 'id' },
    { key: '保安员姓名', column: 'name' },
    { key: '联系电话', column: 'phone' },
    { key: '企业名称', column: 'company' },
    { key: '警告时间', column: 'warning_date' },
    { key: '描述', column: 'desc' },
    { key: '经度', column: 'longitude' },
  ],
  certificates_base: [
    { key: '考试等级', column: 'exam_grade' },
    { key: '发证日期', column: 'cert_date' },
    { key: '保安员编号', column: 'baoan_num' },
    { key: '出生日期', column: 'birth' },
    { key: '详址', column: 'house_onaddress' },
    { key: '身份证号', column: 'card' },
    { key: '联系电话', column: 'phone' },
    { key: '发证公安机关', column: 'cert_police' },
    { key: '打印日期', column: 'print_date' },
    { key: '是否制作保安员证', column: 'is_cert' },
    { key: '是否领取', column: 'is_receive' },
    { key: '证状态', column: 'cert_status' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
    { key: '主键', column: 'id' },
    { key: '保安员基本信息', column: 'security_guard_id' },
    { key: '姓名', column: 'name' },
    { key: '性别', column: 'gender' },
  ],
  certificates_grant: [
    { key: '主键', column: 'id' },
    { key: '保安员基本信息id', column: 'security_guard_id' },
    { key: '证件表id', column: 'certificates_id' },
    { key: '保安员证编码', column: 'baoan_num' },
    { key: '保安员姓名', column: 'name' },
    { key: '身份证号', column: 'card' },
    { key: '申领原因', column: 'receive_reason' },
    { key: '保安员等级', column: 'exam_grade' },
    { key: '发证公安机关', column: 'cert_police' },
    { key: '打印日期', column: 'print_date' },
    { key: '打印人', column: 'print_personal' },
    { key: '领取时间', column: 'receive_date' },
    { key: '领取人姓名', column: 'receive_name' },
    { key: '领取人身份证号', column: 'receive_card' },
    { key: '领取人联系电话', column: 'receive_phone' },
    { key: '登记人', column: 'register_personal' },
    { key: '登记时间', column: 'register_date' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  certificates_print_again: [
    { key: '', column: 'status' },
    { key: '疑似精神病人，风险评估不能担任保安员', column: 'check_fxpg' },
    { key: '是否有其他不合适担任保安的综合评定', column: 'check_zhpd' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
    { key: '保安员基本信息ID', column: 'security_guard_id' },
    { key: '身份证号', column: 'card' },
    { key: '出生日期', column: 'birth' },
    { key: '联系电话', column: 'phone' },
    { key: '职业等级', column: 'exam_grade' },
    { key: '发证日期', column: 'cert_date' },
    { key: '证件状态', column: 'cert_status' },
    { key: '主键', column: 'id' },
    { key: '保安员证编码', column: 'baoan_num' },
    { key: '保安员姓名', column: 'name' },
    { key: '打印人', column: 'print_personal' },
    { key: '打印公安机关编码', column: 'print_policenum' },
    { key: '打印公安机关名称', column: 'print_policename' },
    { key: '打印时间', column: 'print_date' },
    { key: '补打申请原因', column: 'make_apply' },
    { key: '补打申请公安机关代码', column: 'make_applynum' },
    { key: '补打申请公安机关名称', column: 'make_applypolice' },
    { key: '补打申请人', column: 'make_applypersonal' },
    { key: '补打申请时间', column: 'make_applydate' },
    { key: '补打审核公安机关代码', column: 'make_examinenum' },
    { key: '补打审核公安机关名称', column: 'make_examinename' },
    { key: '补打审核人', column: 'make_examinepersonal' },
    { key: '补打审核时间', column: 'make_examinedate' },
    { key: '补打审核意见', column: 'make_examineresaon' },
    {
      key: '是否受到过收容教育，强制隔离戒毒，劳动教养者3次以上行政拘留',
      column: 'check_xzjl',
    },
    { key: '是否因故意犯罪被刑事处罚', column: 'check_xscf' },
    { key: '是否吊销保安员证未满3年', column: 'check_certthr' },
    { key: '是否两次被吊销保安员证', column: 'check_certtwo' },
  ],
  certificates_print_log: [
    { key: '主键', column: 'id' },
    { key: '保安员证编码', column: 'baoan_num' },
    { key: '保安员姓名', column: 'name' },
    { key: '打印人', column: 'print_personal' },
    { key: '打印公安机关编码', column: 'print_policenum' },
    { key: '打印公安机关名称', column: 'print_policename' },
    { key: '打印时间', column: 'print_date' },
    { key: '是否补打', column: 'is_make' },
    { key: '补打申请原因', column: 'make_apply' },
    { key: '补打申请公安机关代码', column: 'make_applynum' },
    { key: '补打申请公安机关名称', column: 'make_applypolice' },
    { key: '补打申请人', column: 'make_applypersonal' },
    { key: '补打申请时间', column: 'make_applydate' },
    { key: '补打审核公安机关代码', column: 'make_examinenum' },
    { key: '补打审核公安机关名称', column: 'make_examinename' },
    { key: '补打审核人', column: 'make_examinepersonal' },
    { key: '补打审核时间', column: 'make_examinedate' },
    { key: '补打审核意见', column: 'make_examineresaon' },
    {
      key: '是否受到过收容教育，强制隔离戒毒，劳动教养者3次以上行政拘留',
      column: 'check_xzjl',
    },
    { key: '是否因故意犯罪被刑事处罚', column: 'check_xscf' },
    { key: '是否吊销保安员证未满3年', column: 'check_certthr' },
    { key: '是否两次被吊销保安员证', column: 'check_certtwo' },
    { key: '疑似精神病人，风险评估不能担任保安员', column: 'check_fxpg' },
    { key: '是否有其他不合适担任保安的综合评定', column: 'check_zhpd' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  company_accept: [
    { key: '审核意见', column: 'resaon' },
    { key: '审核结果', column: 'status' },
    { key: '修改时间', column: 'update_time' },
    { key: '创建时间', column: 'create_time' },
    { key: '主键', column: 'id' },
    { key: '', column: 'company_id' },
    { key: '审核人', column: 'examine_prsonal' },
    { key: '审核时间', column: 'examine_date' },
  ],
  company_applicant: [
    { key: '公民身份号码', column: 'card' },
    { key: '现住地省市县', column: 'onhouse_city' },
    { key: '现住址详址', column: 'onaddress_detailed' },
    { key: '联系电话', column: 'phone' },
    { key: '单位名称', column: 'company' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
    { key: '主键', column: 'id' },
    { key: '', column: 'company_id' },
    { key: '国籍', column: 'nationality' },
    { key: '姓名', column: 'name' },
  ],
  company_baoan_dispatch: [
    { key: '', column: 'id' },
    { key: '保安服务对象', column: 'service_target' },
    { key: '工作起始日期', column: 'work_startdate' },
    { key: '工作终止日期', column: 'work_enddate' },
    { key: '状态', column: 'status' },
    { key: '企业关联id', column: 'company_id' },
    { key: '服务对象关联id', column: 'comapany_work_id' },
    { key: '保安员关联id', column: 'security_guard_id' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
    { key: '姓名', column: 'name' },
    { key: '身份证号', column: 'card' },
    { key: '出生日期', column: 'birth' },
    { key: '联系电话', column: 'phone' },
    { key: '保安员编号', column: 'baoan_num' },
  ],
  company_baoan_punch: [
    { key: '', column: 'id' },
    { key: '保安员姓名', column: 'name' },
    { key: '联系电话', column: 'phone' },
    { key: '打卡时间', column: 'punch_date' },
    { key: '纬度', column: 'latitude' },
    { key: '经度', column: 'longitude' },
    { key: '状态', column: 'status' },
    { key: '公司id', column: 'company_id' },
    { key: '保安员id', column: 'security_guard_id' },
    { key: '创建时间', column: 'create_time' },
  ],
  company_baoan_work: [
    { key: '', column: 'id' },
    { key: '保安公司名称', column: 'company_name' },
    { key: '公司简称', column: 'shorter_name' },
    { key: '劳动合同起始日期', column: 'contract_startdate' },
    { key: '劳动合同终止日期', column: 'contract_enddate' },
    { key: '职务', column: 'zw' },
    { key: '缴纳社会保险险种', column: 'safe' },
    { key: '入职日期', column: 'entry_date' },
    { key: '姓名', column: 'name' },
    { key: '身份证号码', column: 'card' },
    { key: '证件状态', column: 'cert_status' },
    { key: '出生日期', column: 'birth' },
    { key: '发证日期', column: 'cert_date' },
    { key: '保安员编码', column: 'baoan_num' },
    { key: '是否离职', column: 'is_quit' },
    { key: '性别', column: 'gender' },
    { key: '联系电话', column: 'phone' },
    { key: '职业等级', column: 'exam_grade' },
    { key: '离职日期', column: 'quit_date' },
    { key: '离职原因', column: 'quit_reason' },
    { key: '是否被派遣', column: 'is_dispatch' },
    { key: '状态', column: 'status' },
    { key: '企业关联ID', column: 'company_id' },
    { key: '保安员关联id', column: 'security_guard_id' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  company_base: [
    {
      key: '状态', // '0：注册，填写资料。1：受理，-1：不受理。2：市级审核通过，-2：市级审核不通过
      column: 'status',
    },
    { key: '主键标示', column: 'id' },
    { key: '企业类型', column: 'purpose' },
    { key: '账号名称', column: 'name' },
    { key: '联系电话', column: 'phone' },
    { key: '登录密码', column: 'password' },
    { key: '安全邮箱', column: 'email' },
    { key: '企业名称', column: 'company' },
    { key: '详细地址', column: 'addres' },
    { key: '所属区县', column: 'belong_city' },
    { key: '管辖单位', column: 'tube_company' },
    { key: '法人代表人姓名', column: 'legal_personal' },
    { key: '法人代表人联系方式', column: 'legal_phone' },
    { key: '法人代表人公民身份号码', column: 'legal_card' },
    { key: '法人代表人职务', column: 'legal_zw' },
    { key: '保安服务类型', column: 'baoan_sevicetype' },
    { key: '申请报告', column: 'apply_report' },
    { key: '企业组织机构代码', column: 'zhjgdm' },
    { key: '经济类型', column: 'money_type' },
    { key: '邮政编码', column: 'post_num' },
    { key: '传真', column: 'fax' },
    { key: '营业执照注册号', column: 'company_yyzzzch' },
    { key: '保安服务许可证号', column: 'company_xkzpzwh' },
    { key: '注册资金', column: 'register_money' },
    { key: '经营负责人姓名', column: 'charge_personal' },
    { key: '经营负责人身份号码', column: 'charge_card' },
    { key: '经营负责人联系电话', column: 'charge_phone' },
    { key: '经营负责人职务', column: 'charge_zw' },
    { key: '营业执照经营范围', column: 'company_yyzzjyfw' },
    { key: '营业执照发证机关', column: 'company_yyzzfzjg' },
    { key: '成立日期', column: 'establish_date' },
    { key: '营业执照截止日期', column: 'company_yyzzjzrq' },
    { key: '单位性质', column: 'company_nature' },
    { key: '单位组织机构类型', column: 'zhjglx' },
    { key: '场地面积', column: 'land_rice' },
    { key: '发起人类型', column: 'initiator_type' },
    { key: '培训规模', column: 'train_num' },
    { key: '校长或院长姓名', column: 'school_personal' },
    { key: '校长或院长身份证号', column: 'school_card' },
    { key: '校长或院长联系电话', column: 'school_phone' },
    { key: '师资人数', column: 'teache_num' },
    { key: '保安专业师资人数', column: 'major_teanum' },
    { key: '校园面积', column: 'campus_area' },
    { key: '校舍面积', column: 'schoolhouse_area' },
    { key: '固定资产', column: 'fixed_money' },
    { key: '是否提供住宿', column: 'is_stay' },
    { key: '培训目标', column: 'train_target' },
    { key: '保安主管部门名称', column: 'zxzy_depart' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  company_car: [
    { key: '', column: 'id' },
    { key: '保安服务公司', column: 'company' },
    { key: '管辖单位', column: 'tube_company' },
    { key: '号码种类', column: 'num_type' },
    { key: '车辆号码', column: 'car_num' },
    { key: '专用运钞车品分类', column: 'car_type' },
    { key: '专用运钞车防护级别', column: 'car_level' },
    { key: '发动机号', column: 'engine' },
    { key: '出产日期', column: 'put_date' },
    { key: '车架号', column: 'frame_num' },
    { key: '制造单位名称', column: 'make_company' },
    { key: '报废日期', column: 'cancel_date' },
    { key: '报废原因', column: 'cancel_reason' },
    { key: '状态', column: 'status' },
    { key: '关联企业ID', column: 'company_id' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  company_dress: [
    { key: '', column: 'id' },
    { key: '购买企业是否本地保安相关单位', column: 'is_local' },
    { key: '服装生产企业', column: 'put_company' },
    { key: '购买品种', column: 'buy_type' },
    { key: '购买单位', column: 'buy_company' },
    { key: '购买数量', column: 'buy_num' },
    { key: '购买日期', column: 'buy_date' },
    { key: '备注', column: 'remark' },
    { key: '填报人', column: 'fill_personal' },
    { key: '填报日期', column: 'fill_date' },
    { key: '合同', column: 'contract' },
    { key: '状态', column: 'status' },
    { key: '企业关联id', column: 'company_id' },
    { key: '创建日期', column: 'create_time' },
    { key: '修改日期', column: 'update_time' },
  ],
  company_equipment: [
    { key: '主键', column: 'id' },
    { key: '装备名称', column: 'name' },
    { key: '数量', column: 'num' },
    { key: '规格', column: 'specs' },
    { key: '型号', column: 'model' },
    { key: '位置', column: 'local' },
    { key: '启用日期', column: 'enable_date' },
    { key: '撤销日期', column: 'revoke_date' },
    { key: '备注', column: 'remark' },
    { key: '状态', column: 'status' },
    { key: '企业关联ID', column: 'company_id' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  company_examine: [
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
    { key: '主键', column: 'id' },
    { key: '', column: 'company_id' },
    { key: '审核人', column: 'examine_prsonal' },
    { key: '审核时间', column: 'examine_date' },
    { key: '审核意见', column: 'resaon' },
    { key: '审核结果', column: 'status' },
  ],
  company_gun: [
    { key: '主键', column: 'id' },
    { key: '枪号', column: 'gun_num' },
    { key: '枪型', column: 'gun_model' },
    { key: '出产日期', column: 'put_date' },
    { key: '制造单位名称', column: 'make_company' },
    { key: '注销日期', column: 'cancel_date' },
    { key: '注销原因', column: 'cancel_reason' },
    { key: '状态', column: 'status' },
    { key: '企业关联ID', column: 'company_id' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  company_information: [
    { key: '主键', column: 'id' },
    { key: '公司编号', column: 'company_id' },
    { key: '申请单位名称', column: 'company' },
    { key: '申请单位所属市县', column: 'belong_city' },
    { key: '申请单位详细地址', column: 'belong_city_detailed' },
    { key: '保安服务许可证号', column: 'company_xkzpzwh' },
    { key: '学校或职业培训机构的批准机关', column: 'approval_office' },
    { key: '批准文号', column: 'approval_num' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  company_keep: [
    { key: '', column: 'id' },
    { key: '企业名称', column: 'company' },
    { key: '管辖单位名称', column: 'tube_company' },
    { key: '企业类别', column: 'purpose' },
    { key: '法人姓名', column: 'legal_personal' },
    { key: '法人代表身份证号', column: 'legal_card' },
    { key: '住所', column: 'addres' },
    { key: '服务范围', column: 'baoan_sevicetype' },
    { key: '注册资本', column: 'register_money' },
    { key: '审批时间', column: 'approve_date' },
    { key: '备案证明编号', column: 'licence_num' },
    { key: '批准文号', column: 'approval_num' },
    { key: '备案证明发证日期', column: 'cert_date' },
    { key: '有效期(备案证明发证日期+一年)', column: 'effective_date' },
    { key: '证件状态', column: 'cert_status' },
    { key: '打印日期', column: 'print_date' },
    { key: '打印人', column: 'print_personal' },
    { key: '状态', column: 'status' },
    { key: '关联企业id', column: 'company_id' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  company_keep_grant: [
    { key: '领取人联系电话', column: 'receive_phone' },
    { key: '领取时间', column: 'receive_date' },
    { key: '登记人', column: 'register_personal' },
    { key: '', column: 'register_date' },
    { key: '状态', column: 'status' },
    { key: '关联企业id', column: 'company_id' },
    { key: '证表id', column: 'company_keep_id' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
    { key: '', column: 'id' },
    { key: '企业名称', column: 'company' },
    { key: '管辖单位名称', column: 'tube_company' },
    { key: '企业类别', column: 'purpose' },
    { key: '法人姓名', column: 'legal_personal' },
    { key: '法人代表身份证号', column: 'legal_card' },
    { key: '住所', column: 'addres' },
    { key: '服务范围', column: 'baoan_sevicetype' },
    { key: '注册资本', column: 'register_money' },
    { key: '审批时间', column: 'approve_date' },
    { key: '备案证明编号', column: 'licence_num' },
    { key: '批准文号', column: 'approval_num' },
    { key: '备案证明发证日期', column: 'cert_date' },
    { key: '有效期(备案证明发证日期+一年)', column: 'effective_date' },
    { key: '证件状态', column: 'cert_status' },
    { key: '打印日期', column: 'print_date' },
    { key: '打印人', column: 'print_personal' },
    { key: '领取人姓名', column: 'receive_name' },
    { key: '领取人身份证号', column: 'receive_card' },
  ],
  company_legal_change: [
    { key: '', column: 'id' },
    { key: '企业名称', column: 'company' },
    { key: '企业类别', column: 'purpose' },
    { key: '法人姓名', column: 'legal_personal' },
    { key: '法人身份证号', column: 'legal_card' },
    { key: '法人联系方式', column: 'legal_phone' },
    { key: '法人代表职务', column: 'legal_zw' },
    { key: '管辖单位名称', column: 'tube_company' },
    { key: '企业组织机构代码', column: 'zhjgdm' },
    { key: '统一社会信用代码', column: 'company_yyzzzch' },
    { key: '状态', column: 'status' },
    { key: '关联企业ID', column: 'company_id' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
    { key: '审核人', column: 'examine_prsonal' },
    { key: '审核意见', column: 'resaon' },
    { key: '审核时间', column: 'examine_date' },
  ],
  company_legal_person: [
    { key: '现住址省市县', column: 'onhouse_city' },
    { key: '现住址详址', column: 'onaddress_detailed' },
    { key: '保安职业等级代码', column: 'exam_grade' },
    { key: '保安员证编号', column: 'baoan_num' },
    { key: '保安员发证日期', column: 'baoan_cert_date' },
    { key: '简历', column: 'resume' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
    { key: '主键', column: 'id' },
    { key: '公司编号', column: 'company_id' },
    { key: '姓名', column: 'name' },
    { key: '性别', column: 'gender' },
    { key: '公民身份号码', column: 'card' },
    { key: '民族', column: 'nation' },
    { key: '出生日期', column: 'birth' },
    { key: '学历', column: 'education' },
    { key: '政治面貌', column: 'politics' },
    { key: '联系电话', column: 'legal_phone' },
    { key: '职务', column: 'zw' },
    { key: '户籍地省市县', column: 'household' },
    { key: '户籍地详址', column: 'household_detailed' },
  ],
  company_licence: [
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
    { key: '', column: 'id' },
    { key: '企业名称', column: 'company' },
    { key: '管辖单位名称', column: 'tube_company' },
    { key: '服务许可证编号', column: 'licence_num' },
    { key: '证件状态', column: 'cert_status' },
    { key: '保安服务许可证发证日期', column: 'cert_date' },
    { key: '法人姓名', column: 'legal_personal' },
    { key: '法人代表身份证号', column: 'legal_card' },
    { key: '企业类别', column: 'purpose' },
    { key: '审批时间', column: 'approve_date' },
    { key: '住所', column: 'addres' },
    { key: '服务范围', column: 'baoan_sevicetype' },
    { key: '注册资本', column: 'register_money' },
    { key: '批准文号', column: 'approval_num' },
    {
      key: '有效期(保安服务许可证发证日期+一年)',
      column: 'effective_date',
    },
    { key: '打印日期', column: 'print_date' },
    { key: '打印人', column: 'print_personal' },
    { key: '状态', column: 'status' },
    { key: '关联企业id', column: 'company_id' },
  ],
  company_licence_grant: [
    { key: '详细地址', column: 'addres' },
    { key: '服务范围', column: 'baoan_sevicetype' },
    { key: '注册资本', column: 'register_money' },
    { key: '审批时间', column: 'approve_date' },
    { key: '服务许可证编号', column: 'licence_num' },
    { key: '批准文号', column: 'approval_num' },
    { key: '发证日期', column: 'cert_date' },
    { key: '有效期', column: 'effective_date' },
    { key: '证件状态', column: 'cert_status' },
    { key: '打印日期', column: 'print_date' },
    { key: '打印人', column: 'print_personal' },
    { key: '领取人姓名', column: 'receive_name' },
    { key: '领取人身份证号', column: 'receive_card' },
    { key: '领取人联系电话', column: 'receive_phone' },
    { key: '领取时间', column: 'receive_date' },
    { key: '登记人', column: 'register_personal' },
    { key: '登记时间', column: 'register_date' },
    { key: '状态', column: 'status' },
    { key: '关联企业id', column: 'company_id' },
    { key: '关联证表id', column: 'company_licence_id' },
    { key: '修改时间', column: 'update_time' },
    { key: '创建时间', column: 'create_time' },
    { key: '主键', column: 'id' },
    { key: '企业名称', column: 'company' },
    { key: '管辖单位', column: 'tube_company' },
    { key: '企业类别', column: 'purpose' },
    { key: '法人代表', column: 'legal_personal' },
    { key: '法人代表身份证号', column: 'legal_card' },
  ],
  company_managers: [
    { key: '主键', column: 'id' },
    { key: '公司编号', column: 'company_id' },
    { key: '国籍', column: 'nationality' },
    { key: '姓名', column: 'name' },
    { key: '公民身份号码', column: 'card' },
    { key: '民族', column: 'nation' },
    { key: '性别', column: 'gender' },
    { key: '出生日期', column: 'birth' },
    { key: '联系电话', column: 'phone' },
    { key: '现住址省市县', column: 'onhouse_city' },
    { key: '现住址详址', column: 'onaddress_detailed' },
    { key: '户籍地省市县', column: 'household' },
    { key: '户籍地详址', column: 'household_detailed' },
    { key: '职务', column: 'zw' },
    { key: '保安职业等级', column: 'exam_grade' },
    { key: '保安员证编号', column: 'baoan_num' },
    { key: '保安员发证日期', column: 'baoan_cert_date' },
    { key: '简历', column: 'resume' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  company_person_charge: [
    { key: '主键', column: 'id' },
    { key: '公司编号', column: 'company_id' },
    { key: '姓名', column: 'name' },
    { key: '性别', column: 'gender' },
    { key: '公民身份号码', column: 'card' },
    { key: '民族', column: 'nation' },
    { key: '出生日期', column: 'birth' },
    { key: '学历', column: 'education' },
    { key: '政治面貌', column: 'politics' },
    { key: '联系电话', column: 'legal_phone' },
    { key: '职务', column: 'zw' },
    { key: '户籍地省市县', column: 'household' },
    { key: '户籍地详址', column: 'household_detailed' },
    { key: '现住址省市县', column: 'onhouse_city' },
    { key: '现住址详址', column: 'onaddress_detailed' },
    { key: '保安职业等级代码', column: 'exam_grade' },
    { key: '保安员证编号', column: 'baoan_num' },
    { key: '保安员发证日期', column: 'baoan_cert_date' },
    { key: '简历', column: 'resume' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  company_recruit_work: [
    { key: '主键', column: 'id' },
    { key: '公司编号', column: 'company_id' },
    { key: '姓名', column: 'name' },
    { key: '性别', column: 'gender' },
    { key: '公民身份号码', column: 'card' },
    { key: '民族', column: 'nation' },
    { key: '出生日期', column: 'birth' },
    { key: '学历', column: 'education' },
    { key: '政治面貌', column: 'politics' },
    { key: '联系电话', column: 'legal_phone' },
    { key: '职务', column: 'zw' },
    { key: '户籍地省市县', column: 'household' },
    { key: '户籍地详址', column: 'household_detailed' },
    { key: '现住址省市县', column: 'onhouse_city' },
    { key: '现住址详址', column: 'onaddress_detailed' },
    { key: '保安职业等级代码', column: 'exam_grade' },
    { key: '保安员证编号', column: 'baoan_num' },
    { key: '保安员发证日期', column: 'baoan_cert_date' },
    { key: '简历', column: 'resume' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  company_service_area: [
    { key: '主键', column: 'id' },
    { key: '公司编号', column: 'company_id' },
    { key: '负责人姓名', column: 'name' },
    { key: '负责人身份证号', column: 'card' },
    { key: '负责人联系电话', column: 'phone' },
    { key: '负责人职务', column: 'zw' },
    { key: '保安服务区域名称', column: 'service_name' },
    { key: '保安服务区域详址', column: 'address_detailed' },
    { key: '保安服务区域省市县', column: 'onhouse_city' },
    { key: '保安服务类型', column: 'baoan_sevicetype' },
    { key: '保安负责人信息电子资料', column: 'message_img' },
    { key: '保安服务区域信息电子资料', column: 'region_img' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  company_service_object: [
    { key: '状态', column: 'status' },
    { key: '主键', column: 'id' },
    { key: '公司编号', column: 'company_id' },
    { key: '服务对象名称', column: 'name' },
    { key: '服务对象类型', column: 'type' },
    { key: '保安服务类型', column: 'baoan_sevicetype' },
    { key: '所属省市县', column: 'household' },
    { key: '管辖单位', column: 'tube_company' },
    { key: '联系人', column: 'contact' },
    { key: '服务对象详址', column: 'service_address' },
    { key: '联系电话', column: 'phone' },
    { key: '合同起始时间', column: 'contract_startdate' },
    { key: '合同终止时间', column: 'contract_enddate' },
    { key: '是否重点单位', column: 'key_address' },
    { key: '是否娱乐场所', column: 'recreation_address' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  company_shareholders: [
    { key: '', column: 'company_id' },
    { key: '主键', column: 'id' },
    { key: '股东类型', column: 'stock_type' },
    { key: '股东姓名', column: 'name' },
    { key: '性别', column: 'gender' },
    { key: '证件号码', column: 'card' },
    { key: '出生日期', column: 'birth' },
    { key: '现住址省市县', column: 'onhouse_city' },
    { key: '联系电话', column: 'phone' },
    { key: '股东经济类型', column: 'money_type' },
    { key: '出资金额', column: 'out_money' },
    { key: '所占股份百分比', column: 'shares_num' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  company_teachers: [
    { key: '主键', column: 'id' },
    { key: '公司编号', column: 'company_id' },
    { key: '姓名', column: 'name' },
    { key: '公民身份号码', column: 'card' },
    { key: '民族', column: 'nation' },
    { key: '性别', column: 'gender' },
    { key: '出生日期', column: 'birth' },
    { key: '联系电话', column: 'phone' },
    { key: '学历', column: 'education' },
    { key: '户籍地省市县', column: 'household' },
    { key: '保安职业等级代码', column: 'exam_grade' },
    { key: '保安员证编号', column: 'baoan_num' },
    { key: '保安员发证日期', column: 'baoan_cert_date' },
    { key: '相关工作经历', column: 'work' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  complaints_info: [
    { key: '被投诉单位类型', column: 'cover_complaint_comtype' },
    { key: '被投诉单位名称', column: 'cover_complaint_com' },
    { key: '被投诉保安员姓名', column: 'cover_complaint_comname' },
    { key: '被投诉保安员身份号码', column: 'cover_complaint_comncard' },
    { key: '投诉日期', column: 'complaint_date' },
    { key: '投诉人姓名', column: 'complaint_personal' },
    { key: '投诉人联系电话', column: 'complaint_phone' },
    { key: '投诉人单位', column: 'complaint_company' },
    { key: '投诉人身份号码', column: 'complaint_personalcard' },
    { key: '投诉人证件类型', column: 'complaint_personaltype' },
    { key: '投诉人证件号码', column: 'complaint_personalcert' },
    { key: '投诉内容', column: 'content' },
    { key: '受理单位', column: 'accept_company' },
    { key: '受理人', column: 'accept_personal' },
    { key: '受理日期', column: 'accept_date' },
    { key: '投诉状态', column: 'handle_status' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
    { key: '主键', column: 'id' },
    { key: '管辖单位名称', column: 'tube_company' },
  ],
  daily_inspection: [
    { key: '主键', column: 'id' },
    { key: '企业类型', column: 'industry_type' },
    { key: '企业名称', column: 'company_name' },
    { key: '企业编号', column: 'company_num' },
    { key: '企业负责人', column: 'company_personal' },
    { key: '企业负责人编号', column: 'company_personalnum' },
    { key: '检查方式', column: 'inspect_type' },
    { key: '检查时间', column: 'inspect_time' },
    { key: '检查人姓名', column: 'inspect_name' },
    { key: '检查人警号', column: 'inspect_namenum' },
    { key: '主要检查人员身份号码', column: 'inspect_directornum' },
    { key: '检查人职务', column: 'inspect_post' },
    { key: '检查机构', column: 'mech_name' },
    { key: '是否知道检查结果', column: 'inspect_knowresult' },
    { key: '检查事项', column: 'inspect_matter' },
    { key: '发现问题', column: 'inspect_question' },
    { key: '处理结果', column: 'handle_result' },
    { key: '罚款金额', column: 'fine_money' },
    { key: '没收违法所得金额', column: 'illegal_money' },
    { key: '备注', column: 'remark' },
    { key: '本次检查人员合影', column: 'group_img' },
    { key: '被检查单位正门照片', column: 'door_img' },
    { key: '检查工作照片', column: 'work_img' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  digital_files: [
    { key: '', column: 'id' },
    { key: '电子材料类型', column: 'type' },
    { key: '电子资料名称', column: 'name' },
    { key: '电子资料文件地址', column: 'el_img' },
    { key: '', column: 'main_id' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  enterprise_reward: [
    { key: '主键', column: 'id' },
    { key: '奖励日期', column: 'reward_date' },
    { key: '企业类型', column: 'industry_type' },
    { key: '企业名称', column: 'company_name' },
    { key: '企业编号', column: 'company_num' },
    { key: '奖励人', column: 'reward_personal' },
    { key: '奖励结果', column: 'reward_result' },
    { key: '登记人', column: 'register_personal' },
    { key: '登记时间', column: 'register_date' },
    { key: '表彰奖励级别', column: 'reward_grade' },
    { key: '所属单位名称', column: 'belonging_company' },
    { key: '奖励原因', column: 'reward_reason' },
    { key: '备注', column: 'remark' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  examination_examinee: [
    { key: '主键', column: 'id' },
    { key: '考场编号', column: 'room_id' },
    { key: '保安员基本信息编号', column: 'security_guard_id' },
    { key: '姓名', column: 'name' },
    { key: '身份证号', column: 'card' },
    { key: '联系电话', column: 'phone' },
    { key: '准考证号', column: 'exam_num' },
    { key: '公安机关', column: 'police_office' },
    { key: '是否缴费', column: 'is_money' },
    { key: '考试成绩', column: 'exam_achieve' },
    { key: '体能', column: 'stamina' },
    { key: '考试等级', column: 'exam_grade' },
    { key: '考试日期', column: 'exam_date' },
    { key: '考试时间', column: 'exam_time' },
    { key: '考点编码（考场编排编号）', column: 'testsite_num' },
    { key: '考试地点名称', column: 'exam_addr' },
    { key: '座位号', column: 'seat_num' },
    { key: '场次', column: 'exam_play' },
    { key: '参考区县', column: 'district' },
    { key: '考试类型', column: 'exam_type' },
    { key: '准考证打印日期', column: 'exam_printdate' },
    { key: '准考证打印人', column: 'exam_printper' },
    { key: '发证公安机关', column: 'exam_cardpolice' },
    { key: '成绩登记时间', column: 'exam_register' },
    { key: '登记人', column: 'exam_registerper' },
    {
      key: '状态', // 0：已缴费，1：编排，2：确认编排，3：成绩登记，4：合格，-4：不合格
      column: 'status',
    },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
    { key: '性别', column: 'gender' },
  ],
  examination_room: [
    { key: '主键', column: 'id' },
    { key: '考试日期', column: 'exam_date' },
    { key: '考试等级', column: 'exam_grade' },
    { key: '考试开始时间', column: 'startTime' },
    { key: '结束考试时间', column: 'endTime' },
    { key: '考试时间段', column: 'exam_time' },
    { key: '考试地点', column: 'exam_addr' },
    { key: '待考人数', column: 'stayexam_personal' },
    { key: '计划参考人数', column: 'test_number' },
    { key: '考场编排情况', column: 'layout_situation' },
    { key: '公安机关', column: 'police_office' },
    { key: '考试编排人', column: 'layout_personal' },
    { key: '编排时间', column: 'room_date' },
    { key: '实际参考人数', column: 'actual_examper' },
    { key: '考试情况', column: 'exam_situation' },
    { key: '考试登记人', column: 'register_personal' },
    { key: '考试登记时间', column: 'register_date' },
    { key: '状态', column: 'status' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
    { key: '考点编码', column: 'testsite_num' },
  ],
  police_department: [
    { key: '主键', column: 'id' },
    { key: '部门类型', column: 'type' },
    { key: 'city_id', column: 'city_id' },
    { key: 'branch_id', column: 'branch_id' },
    { key: '编号', column: 'num' },
    { key: '部门名称', column: 'name' },
    { key: '简介', column: 'brief' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  security_guard_base: [
    { key: '是否上班', column: 'is_class' },
    { key: '主键', column: 'id' },
    { key: '姓名', column: 'name' },
    { key: '曾用名', column: 'beforeName' },
    { key: '身份证号', column: 'card' },
    { key: '性别', column: 'gender' },
    { key: '民族', column: 'nation' },
    { key: '出生日期', column: 'birth' },
    { key: '政治面貌', column: 'politics' },
    { key: '文化程度', column: 'education' },
    { key: '兵役状况', column: 'soldier' },
    { key: '婚姻状况', column: 'marriage' },
    { key: '血型', column: 'blood' },
    { key: '身高', column: 'height' },
    { key: '保安员等级', column: 'grade' },
    { key: '驾驶证号', column: 'drive_num' },
    { key: '准驾车型', column: 'drive_type' },
    { key: '健康状态', column: 'health' },
    { key: '户籍省市县', column: 'house_city' },
    { key: '户籍派出所名称', column: 'house_police' },
    { key: '微信公众号OpenID', column: 'gopenid' },
    { key: '微信统一id', column: 'unionid' },
    { key: '是否加入人才库', column: 'is_talent' },
    { key: '微信小程序绑定的用户OpenID', column: 'openid' },
    { key: '报名企业', column: 'sign_company' },
    { key: '培训机构编码', column: 'train_num' },
    { key: '现住地省市县', column: 'onhouse_city' },
    { key: '户籍地详址', column: 'house_address' },
    { key: '现住地详址', column: 'house_onaddress' },
    { key: '家庭主要成员', column: 'home_member' },
    { key: '教育经历', column: 'education_experience' },
    { key: '工作经历', column: 'work_experience' },
    { key: '注销人', column: 'cancel_personal' },
    { key: '注销原因', column: 'cancel_reason' },
    { key: '注销时间', column: 'cancel_date' },
    { key: '状态', column: 'status' },
    { key: '受理人', column: 'acceptance_personal' },
    { key: '受理公安机关', column: 'acceptance_police' },
    { key: '受理时间', column: 'acceptance_date' },
    { key: '身份证正面', column: 'id_just' },
    { key: '身份证反面', column: 'id_back' },
    { key: '电话号码', column: 'phone' },
    { key: '登录密码', column: 'password' },
    { key: '创建时间', column: 'create_time' },
    { key: '更新时间', column: 'update_time' },
    { key: '采集照片', column: 'collect_photo' },
    { key: '采集指纹', column: 'collect_fingerprint' },
    { key: '审核结果', column: 'examine_status' },
    { key: '审批结果', column: 'approve_status' },
    { key: '注销状态', column: 'cancel_status' },
  ],
  security_guard_collect: [
    { key: '主键', column: 'id' },
    { key: '保安员姓名', column: 'name' },
    { key: '保安员', column: 'security_guard_id' },
    { key: '采集类型', column: 'type' },
    { key: '数据内容', column: 'data' },
    { key: '采集人', column: 'collect_personal' },
    { key: '采集公安机关', column: 'collect_police' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  security_guard_others: [
    { key: '主键', column: 'id' },
    { key: '保安员姓名', column: 'name' },
    { key: '保安员', column: 'security_guard_id' },
    { key: '采集类型', column: 'type' },
    { key: '数据内容', column: 'data' },
    { key: '采集人', column: 'collect_personal' },
    { key: '采集公安机关', column: 'collect_police' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  security_guard_qualifications: [
    { key: '主键', column: 'id' },
    { key: '', column: 'security_guard_id' },
    {
      key: '是否受到过收容教育，强制隔离戒毒，劳动教养者3次以上行政拘留',
      column: 'check_xzjl',
    },
    { key: '是否因故意犯罪被刑事处罚', column: 'check_xscf' },
    { key: '审查3标识：是否吊销保安员证未满3年', column: 'check_certthr' },
    { key: '是否两次被吊销保安员证', column: 'check_certtwo' },
    { key: '疑似精神病人，风险评估不能担任保安员', column: 'check_fxpg' },
    { key: '是否有其他不合适担任保安的综合评定', column: 'check_zhpd' },
    { key: '报名考试审核意见', column: 'exam_examinereason' },
    { key: '报名考试审核结果', column: 'exam_examineresult' },
    { key: '报名考试审核机关', column: 'exam_office' },
    { key: '报名考试审核人', column: 'exam__examine' },
    { key: '报名考试审核时间', column: 'baoan_examinedate' },
    { key: '保安员报名审批意见', column: 'baoan_examine' },
    { key: '发证审批结果', column: 'issue_result' },
    { key: '发证审批公安机关', column: 'issue_office' },
    { key: '发证审核人', column: 'issue_examinepersonal' },
    { key: '发证审批时间', column: 'issue_date' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
  ],
  system_account: [
    { key: '所属部门编号', column: 'department_code' },
    { key: '部门名称', column: 'department_name' },
    { key: '角色id', column: 'role_id' },
    { key: '角色名称', column: 'role_name' },
    { key: '创建时间', column: 'create_time' },
    { key: '修改时间', column: 'update_time' },
    { key: '主键', column: 'id' },
    { key: '所属单位', column: 'belong_company' },
    { key: '姓名', column: 'name' },
    { key: '联系电话', column: 'phone' },
    { key: '登录密码', column: 'password' },
    { key: '电子邮箱', column: 'email' },
    { key: '工作单位', column: 'company' },
  ],
};
