
'use strict';
/**
 * 如有修改,请换到可以让程序热部署的文件(controller,service内的任意文件均可)上Ctrl+S下,重新部署.否则修改不能及时响应
 * 设置在usual中,某个表中某个默认字段是如何查询.
 * 例如:
 *   test: [
 *    { key: 'name', type: 'like' },
 *    { key: 'age@start', type: 'lte' },
 *    { key: 'age@end', type: 'gte' },
 *    { key: 'age', type: 'orderBy', value: 'desc' },
 *   ],
 * 意思是: test表中,name字段 用like (模糊查询的方式)
 * 目前的query接收的type有:
 * like:模糊查询
 * notLike:反向模糊查询
 * eq:等于
 * lt:<
 * lte:<=
 * gt:>
 * gte:>=
 * in:在范围内
 * notIn:不在范围内
 * orderBy:排序用 value为asc/desc,
 * 注意:
 * 1.虽然也写在一起,但是orderBy在实际处理中是被分离开的,先处理查询条件,再加上orderBy的
 * 2.'@':日期范围查询的标志;
 */
module.exports = {
  test: [
    //   { key: 'name', type: 'like' },
    { key: 'age@start', type: 'gte' },
    { key: 'age@end', type: 'lte' },
    { key: 'date@start', type: 'gte' },
    { key: 'date@end', type: 'lte' },
    //   // { key: 'date@start', type: 'eq' },
    //   { key: 'age', type: 'orderBy', value: 'desc' },
    //   { key: 'date', type: 'orderBy', value: 'desc' },
  ],
  security_guard_base: [
    { key: 'acceptance_date@start', type: 'gte' },
    { key: 'acceptance_date@end', type: 'lte' },
  ],
  company_base: [{ key: 'purpose', type: 'like' }],
  police_department: [{ key: 'num', type: 'orderBy', value: 'asc' }],
  baoan_work_warning: [{ key: 'warning_date', type: 'orderBy', value: 'desc' }],
};
