'use strict';
/**
 * 导入保安员的字段配置表
 */
const _ = require('lodash');
const moment = require('moment');
module.exports = {
  // 保安员基础表
  base: [
    { key: 'name', zh: '姓名', required: true },
    { key: 'beforeName', zh: '曾用名' },
    { key: 'card', zh: '身份证号', required: true },
    { key: 'gender', zh: '性别', required: true },
    { key: 'nation', zh: '民族', required: true },
    { key: 'birth', zh: '出生日期', required: true, format: value => moment(value).format('YYYY-MM-DD') },
    { key: 'politics', zh: '政治面貌', required: true },
    { key: 'education', zh: '文化程度', required: true },
    { key: 'soldier', zh: '兵役状况', required: true },
    { key: 'marriage', zh: '婚姻状况', required: true },
    { key: 'blood', zh: '血型', required: true },
    { key: 'height', zh: '身高' },
    { key: 'grade', zh: '保安员等级', required: true },
    { key: 'drive_num', zh: '驾驶证号' },
    { key: 'drive_type', zh: '准驾车型' },
    { key: 'health', zh: '健康状态' },
    { key: 'house_city', zh: '户籍省市县', required: true },
    { key: 'house_police', zh: '户籍/居住证派出所名称', required: true },
    { key: 'sign_company', zh: '报名企业' },
    { key: 'train_num', zh: '培训机构编码' },
    { key: 'onhouse_city', zh: '现住地省市县', required: true },
    { key: 'house_address', zh: '户籍地详址', required: true },
    { key: 'house_onaddress', zh: '现住地详址', required: true },
    { key: 'home_member', zh: '家庭主要成员' },
    { key: 'education_experience', zh: '教育经历' },
    { key: 'work_experience', zh: '工作经历' },
    { key: 'acceptance_personal', zh: '受理人', checkToken: true, method: object => object.name },
    { key: 'acceptance_police', zh: '受理公安机关', checkToken: true, method: object => object.department_name },
    { key: 'acceptance_date', zh: '受理时间', checkToken: true, method: () => moment().format('YYYY-MM-DD') },
    { key: 'status', zh: '状态', default: '11' },
    { key: 'phone', zh: '电话号码' },
    { key: 'password', zh: '登录密码', default: '123456' },
    { key: 'examine_status', zh: '审核结果', default: '初始导入' },
    { key: 'approve_status', zh: '审批结果', default: '初始导入' },
  ],
  cert: [
    { key: 'security_guard_id', zh: '保安员基本信息' },
    { key: 'name', zh: '姓名', method: data => _.get(data, 'base.name') },
    { key: 'gender', zh: '性别', method: data => _.get(data, 'base.gender') },
    { key: 'exam_grade', zh: '考试等级' },
    { key: 'cert_date', zh: '发证日期', format: value => moment(value).format('YYYY-MM-DD') },
    { key: 'baoan_num', zh: '保安员编号' },
    { key: 'birth', zh: '出生日期', method: data => _.get(data, 'base.birth') },
    { key: 'house_onaddress', zh: '详址', method: data => _.get(data, 'base.house_onaddress') },
    { key: 'card', zh: '身份证号', method: data => _.get(data, 'base.card') },
    { key: 'phone', zh: '联系电话', method: data => _.get(data, 'base.phone') },
    { key: 'cert_police', zh: '发证公安机关' },
    { key: 'is_cert', zh: '是否制作保安员证', default: '1' },
    { key: 'is_receive', zh: '是否领取', default: '1' },
    { key: 'cert_status', zh: '证状态', default: '0' },
    { key: 'company_name', zh: '企业名称' },
  ],

};
