'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const { ObjectId } = require('mongoose').Types;
const _ = require('lodash');
// 通用创建
class CreateService extends CrudService {
  constructor(ctx) {
    super(ctx, 'create');
    this.http = this.ctx.service.util.httpUtil;
    this.spMark = this.ctx.service.special;
    this.prefix = '/db';
  }
  /**
   * 常规添加
   * @param {Object} param0 表名
   * @param {Object} body 添加数据
   */
  async index({ table }, body) {
    body = this.dealBody(table, body);
    const data = await this.http.$post(`${this.prefix}/create`, body, { table });
    if (data && data.code) {
      throw new BusinessError(ErrorCode.SERVICE_FAULT, data.message);
    }
    return { data };
  }

  /**
   * 增添id,额外处理
   * @param {String} table 表名
   * @param {Object} body 数据
   */
  dealBody(table, body) {
    if (Object.keys(body).length <= 0) throw new BusinessError(ErrorCode.BADPARAM, '缺少数据,请检查请求');
    // 增加id,每个表都带上id,都带上,且为主键,关系型的玩的不转.但勉强能动;
    body.id = ObjectId();
    // 检查参数处理
    body = this.spMark.resetDataToDB(body, table);

    return body;
  }
}

module.exports = CreateService;
