'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;

// 通用单查实现
class FetchService extends CrudService {
  constructor(ctx) {
    super(ctx, 'fetch');
    this.http = this.ctx.service.util.httpUtil;
    this.spMark = this.ctx.service.special;
    this.prefix = '/db';
  }
  /**
   * 常规单查
   * 这个只是单查,只查出一条数据,嗯.应该能懂,不写了
   * @param {Object} param0 表名
   * @param {Object} query 查询参数
   */
  async index({ table }, query) {
    query = this.dealQuery(query);
    let data = await this.http.$post(`${this.prefix}/fetch`, query, { table });
    if (data && data.code) {
      throw new BusinessError(ErrorCode.SERVICE_FAULT, data.message);
    }
    data = this.spMark.resetDataToFront(data, table);
    return { data };
  }

  /**
   * 处理参数,给java
   * 最后形成对象,每个key都是查询条件
   * Q:query原来不就是Object么,还用你处理?
   * A:因为有特殊符号机制,所以需要特殊处理它俩;
   * ps:但是说实话,单查你还给我搞这个纯粹是有问题哦!不带符号就完事了
   * {
   *    key:value,
   *    ...
   * }
   * @param {Object} query 查询参数
   */
  dealQuery(query) {
    // 别说别的,先检查query有没有东西,没东西来为了啥,快乐么?
    if (Object.keys(query).length <= 0) throw new BusinessError(ErrorCode.BADPARAM, '缺少查询参数,请检查请求');
    query = this.spMark.dealMarkFetch(query);
    return query;
  }
}

module.exports = FetchService;
