'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');

class BaseService extends CrudService {
  constructor(ctx) {
    super(ctx, 'base');
    this.fetchService = this.ctx.service.fetch;
  }

  /**
   * 用 house_police 去换对应公安机构的编码作为 house_police_code
   * @param {Object} data body中的数据
   */
  async getHousePoliceCode(data) {
    if (!data) return;
    const { house_police } = data;
    if (!house_police) return;
    const table = 'police_department';
    const query = { name: house_police };
    const res = await this.fetchService.index({ table }, query);
    return _.get(res, 'data');
  }
}

module.exports = BaseService;
