'use strict';
const _ = require('lodash');
const Service = require('egg').Service;
const { BusinessError, ErrorCode } = require('naf-core').Error;
// 独立的统计查询实现
class QueryService extends Service {
  constructor(ctx) {
    super(ctx, 'statis');
    this.http = this.ctx.service.util.httpUtil;
    this.spMark = this.ctx.service.special;
    this.prefix = '/db';
  }

  /**
   * 统计
   * @param {Object} param0 统计接口名称
   * @param {Object} param1 正常query的参数
   */
  async index({ table }, { ...query } = {}) {
    const data = await this.http.$get(`${this.prefix}/statis/${table}`, query, {});
    if (data && data.code) {
      throw new BusinessError(ErrorCode.SERVICE_FAULT, data.message);
    }

    // 在dbToData中找是否有该表需要特殊处理的字段
    const resetList = this.spMark.resetDataToFront(data, table);

    return { data: data || [] };
  }

}

module.exports = QueryService;
