'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/';
  const target = 'usual';
  /**
   * 处理保安员 户籍派出所编码 中间件;应用在 create和update上;
   * 再添加到query上,查询需要做转换处理
   */
  router.get(target, `${profix}${target}/readMessage/:id`, controller[target].readMessage); // 确认消息
  router.post(target, `${profix}${target}/sendMessage`, controller[target].sendMessage); // 发送消息
  router.post(target, `${profix}${target}/reserve`, controller[target].reserve); // 采集信息预约
  const housePoliceCode = app.middleware.securityGuard.housePoliceCode();
  const levelSearch = app.middleware.levelSearch();
  router.get(target, `${profix}${target}/:table/query`, housePoliceCode, levelSearch, controller[target].query); // 列表查询
  router.get(target, `${profix}${target}/:table/fetch`, controller[target].fetch); // 单数据查询
  router.post(target, `${profix}${target}/:table`, housePoliceCode, controller[target].create); // 创建
  router.post(target, `${profix}${target}/:table/update`, housePoliceCode, controller[target].update); // 修改
  router.delete(target, `${profix}${target}/:table`, controller[target].delete); // 删除
  router.post(target, `${profix}${target}/:table/import`, controller[target].import); // 导入
  router.get(target, `${profix}${target}/:table/statis`, controller[target].statis); // 统计
};
